ISPRINT(3)

NAME
isprint - printing character test (space character inclusive)

SYNOPSIS
#include <ctype.h>
int
isprint(int c);

DESCRIPTION
The isprint() function tests for any printing character including space (‘ ’).

RETURN VALUES
The isprint() function returns zero if the character tests false or non-zero if the character tests true.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isprint() function conforms to ansiC.

HISTORY
The isprint() function first appeared in AT&T UNIX.

CAVEATS
The argument to isprint() must be EOF or representable as an unsigned char; otherwise, the result is undefined.